#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9B,0x85,0x3A,0x8B,0x2F,0xB9,0x28,0xE5,0x43,0x6B,0x20,0x45,
		0xDE,0xE8,0x20,0xA2,0x24,0xEC,0x0D,0xEF,0xE4,0x28,0x26,0xC0,
		0x29,0xF9,0xD8,0xFE,0xE9,0xCE,0xF5,0xAB,0xAC,0x35,0x42,0xCA,
		0x0F,0xFD,0x5A,0x2E,0x5A,0x7B,0x44,0xD0,0xBB,0xA2,0x3F,0xB3,
		0xF3,0x8E,0xD4,0xAB,0x1C,0x31,0x7F,0x6F,0x77,0x46,0x61,0x92,
		0x2A,0x85,0xD5,0x57,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
